#include <stdint.h>
#include <avr/eeprom.h>

extern int8_t menu_val_timezone;
extern int8_t menu_val_timezone_ee EEMEM;
extern uint8_t menu_val_format;
extern uint8_t menu_val_format_ee EEMEM;

typedef enum {
    OFF,
    TIMEZONE,
    FORMAT,
    EXIT
} menu_state_t;

void enter_menu(void);
const char* get_menu_text(void);
uint8_t get_menu_active(void);
void menu_up_down(uint8_t up_down);
